net.minecraft.world.gen

## Class MapGenCavesHell

- java.lang.Object
- - net.minecraft.world.gen.MapGenBase
  - - net.minecraft.world.gen.MapGenCavesHell

-     public class MapGenCavesHell
      extends MapGenBase

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.MapGenBase

      `rand, range, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenCavesHell()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `func_151538_a(World p_151538_1_, int p_151538_2_, int p_151538_3_, int p_151538_4_, int p_151538_5_, Block[] p_151538_6_)`
    `protected void` | `func_151543_a(long p_151543_1_, int p_151543_3_, int p_151543_4_, Block[] p_151543_5_, double p_151543_6_, double p_151543_8_, double p_151543_10_, float p_151543_12_, float p_151543_13_, float p_151543_14_, int p_151543_15_, int p_151543_16_, double p_151543_17_)`
    `protected void` | `func_151544_a(long p_151544_1_, int p_151544_3_, int p_151544_4_, Block[] p_151544_5_, double p_151544_6_, double p_151544_8_, double p_151544_10_)`

    - ### Methods inherited from class net.minecraft.world.gen.MapGenBase

      `func_151539_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenCavesHell

          public MapGenCavesHell()

  - ### Method Detail

    - #### func_151544_a

          protected void func_151544_a(long p_151544_1_,
                           int p_151544_3_,
                           int p_151544_4_,
                           Block[] p_151544_5_,
                           double p_151544_6_,
                           double p_151544_8_,
                           double p_151544_10_)

    - #### func_151543_a

          protected void func_151543_a(long p_151543_1_,
                           int p_151543_3_,
                           int p_151543_4_,
                           Block[] p_151543_5_,
                           double p_151543_6_,
                           double p_151543_8_,
                           double p_151543_10_,
                           float p_151543_12_,
                           float p_151543_13_,
                           float p_151543_14_,
                           int p_151543_15_,
                           int p_151543_16_,
                           double p_151543_17_)

    - #### func_151538_a

          protected void func_151538_a(World p_151538_1_,
                           int p_151538_2_,
                           int p_151538_3_,
                           int p_151538_4_,
                           int p_151538_5_,
                           Block[] p_151538_6_)

      Overrides:
        `func_151538_a` in class `MapGenBase`